
cc.Class({
    extends: cc.Component,

    properties: {

    },
    start() {
        // cc.log('x===='+this.node.convertToWorldSpaceAR(cc.Vec2.ZERO).x);
        var Hero = cc.find('Hero');
        var Rivel = cc.find('Rivel');
        var HeroPlayerState = Hero.getComponent("PlayerState");
        var RivelPlayerState = Rivel.getComponent("PlayerState");

        HeroPlayerState.FinishLineReduceSpeedPositionArray.push(this.node.convertToWorldSpaceAR(cc.Vec2.ZERO).x);

        RivelPlayerState.FinishLineReduceSpeedPositionArray.push(this.node.convertToWorldSpaceAR(cc.Vec2.ZERO).x);

        // var NetworkSocket = Hero.getComponent('NetworkSocket');
        // var data = {};
        // data = { FunctionName: 'FinishLineReduceSpeedPositionArray', NodeX: this.node.convertToWorldSpaceAR(cc.Vec2.ZERO).x };
        // console.log("data",data);
        // NetworkSocket.sendSyncData(JSON.stringify(data));

    },
});
